<header>
  <app-navbar (Textout)="textsearchChangedHandler($event)" [Textbox]="Textbox"></app-navbar>
</header>
<body>

<ng-template #contentMyChild let-modal>
  <div class="modal-header">
    <h4 class="modal-title">My childs :p </h4>
    <button (click)="modal.dismiss('Cross click')" aria-label="Close" class="close" type="button">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="card bg-light"  style="margin-top: 5px" *ngFor="let c of souscat">
      <div class="card-body text-center">
        <p class="card-text">{{c.title}}</p>
      </div>
    </div>


  </div>
  <div class="modal-footer">

  </div>
</ng-template>


<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title">Add Category</h4>
    <button (click)="modal.dismiss('Cross click');clearinputs()" aria-label="Close" class="close" type="button">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="CategoryForm">
      <table class="table">
        <tr>
          <td>Title</td>
          <td><input class="text-dark" formControlName="title" type="text"></td>
        </tr>
        <tr>
          <td>Description</td>
          <td><input formControlName="description" type="text"></td>
        </tr>
        <tr>
          <td>Category Parent </td>
          <td>
            <select formControlName="parent">
              <option *ngFor="let c of categories" value="{{c.id}}">{{c.title}}</option>

            </select>
          </td>
        </tr>

      </table>
    </form>
  </div>
  <div class="modal-footer">
    <button (click)="modal.close('Close click');addCategory();clearinputs()" class="btn btn-light" type="button">Add Product</button>
    <button (click)="modal.close('Close click');clearinputs()" class="btn btn-light" type="button">Close</button>
  </div>
</ng-template>


<ng-template #contentmodif let-modalmodif>
  <div class="modal-header">
    <h4 class="modal-title">Update Category</h4>
    <button (click)="modalmodif.dismiss('Cross click');clearinputs()" aria-label="Close" class="close" type="button">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="CategoryForm">
      <table class="table">
        <tr>
          <td>Title</td>
          <td><input class="text-dark" formControlName="title" type="text"></td>
        </tr>
        <tr>
          <td>Description</td>
          <td><input formControlName="description" type="text"></td>
        </tr>
        <tr>
          <td>Parent</td>
          <td>
            <select formControlName="parent">
              <option *ngFor="let c of categories" value="{{c.id}}">{{c.title}}</option>

            </select>
          </td>
        </tr>

      </table>
    </form>
  </div>
  <div class="modal-footer">
    <button (click)="modalmodif.close('Close click');updateProduct();clearinputs()" class="btn btn-light" type="button">Update
    </button>
    <button (click)="modalmodif.close('Close click');clearinputs()" class="btn btn-light" type="button">Close</button>
  </div>
</ng-template>

<div class="container">



      <br>
      <div class="card ">
        <div class="card-header bg-info ">
          <h6 style="color: white">All Categories</h6>
          <button (click)="openVerticallyCentered(content)" class="float-md-right  btn btn-primary mb-2 mr-2">Add
            Category
          </button>
        </div>
        <div class="d-flex flex-column">
          <div class="card bg-light text-dark"  *ngFor="let c of categories ">
            <div class="row" style="margin-top: 10px">
              <div class="col-sm-1">
                <img src="../../assets/img/category.jpg" class="img-thumbnail img" alt="{{c.title}}">
              </div>
              <div class="col-sm-3">
                <p>{{c.title}}</p>
              </div>
              <div class="col-sm-3">
                <p>{{c.description}}</p>
              </div>
              <div class="col-sm-2">
                <p>{{c.parent}}</p>
              </div>
              <div class="col-sm-3">
                <button (click)="deleteCategory(c.id)" class="btn btn-primary mb-2 mr-2">Delete</button>
                <button (click)="openVerticallyCenteredModif(contentmodif);itemmodif(c.id)"
                        class="btn btn-primary mb-2 mr-2">Update
                </button>
                <button (click)="getSousCategorie(c.id);openVerticallyCenteredMychild(contentMyChild)" class="btn btn-primary mb-2 mr-2">childs</button>
              </div>
            </div>
          </div>
          <div>

          </div>
        </div>
        <table class="table table-bordered">
          <th>TITLE</th>
          <th>Description</th>
          <th>Parent</th>
          <th>Action</th>
          <tr *ngFor="let c of categories ">
            <td>{{c.title}}</td>
            <td>{{c.description}}</td>
            <td>{{c.parent}}</td>
            <td>
              <button (click)="deleteCategory(c.id)" class="btn btn-primary mb-2 mr-2">Delete</button>
              <button (click)="openVerticallyCenteredModif(contentmodif);itemmodif(c.id)"
                      class="btn btn-primary mb-2 mr-2">Update
              </button>
              <button (click)="getSousCategorie(c.id);openVerticallyCenteredMychild(contentMyChild)" class="btn btn-primary mb-2 mr-2">childs</button>
            </td>
          </tr>
        </table>
      </div>
    </div>




</body>

<style>
  .img{
    width: 50px;
    height: 50px;
  }
</style>
